Name: stax-ex
Version: 1.7.1
Release: %mkrel 2
Summary: StAX API extensions
Group: Development/Java
License: CDDL or GPLv2
Url: https://stax-ex.dev.java.net

# svn export https://svn.java.net/svn/stax-ex~svn/tags/stax-ex-1.7.1 stax-ex-1.7.1
# find stax-ex-1.7.1/ -name '*.jar' -delete
# tar czf stax-ex-1.7.1.tar.gz stax-ex-1.7.1
Source0: %{name}-%{version}.tar.gz

BuildRequires: bea-stax
BuildRequires: dos2unix
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: jvnet-parent
BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin

Requires: bea-stax
Requires: jpackage-utils

BuildArch: noarch


%description
This project develops a few extensions to complement JSR-173 StAX API in the
following area.

* Enable parser instance reuse (which is important in the
  high-performance environment like JAXB and JAX-WS)
* Improve the support for reading from non-text XML infoset,
  such as FastInfoset.
* Improve the namespace support.


%package javadoc
Group: Documentation
Summary: Javadoc for %{name}
Requires: jpackage-utils


%description javadoc
This package contains javadoc for %{name}.


%prep
%setup -q
%pom_remove_dep javax.activation:activation

# Convert the license to UTF-8:
mv LICENSE.txt LICENSE.txt.tmp
iconv -f ISO-8859-1 -t UTF-8 LICENSE.txt.tmp > LICENSE.txt
dos2unix LICENSE.txt


%build
mvn-rpmbuild \
  -Dproject.build.sourceEncoding=UTF-8 \
  install \
  javadoc:aggregate


%install

# Jar files:
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/stax-ex-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM files:
install -d -m 755 %{buildroot}%{_mavenpomdir}
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# Javadoc files:
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# Dependencies map:
%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt


%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 522277
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 398986
- New version

* Thu Jan 17 2013 dmorgan <dmorgan> 1.4-3.mga3
+ Revision: 389026
- Remove glassfish-stax-api support

* Wed Jan 16 2013 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 388664
- Build with maven3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 1.4-1.mga2
+ Revision: 132725
- Fix typo
- Clean spec file

  + gil <gil>
    - update to 1.4
    - imported package stax-ex


* Sun Jul 03 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm